[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ShellCtrls' (#lcl)

# TCustomShellTreeView.Loaded

Performs actions needed when LCL component streaming has been completed.

## Declaration

Source position: shellctrls.pas line 105

`protected procedure TCustomShellTreeView.Loaded; override;`

## Description

Loaded is an overridden procedure used to perform actions needed when LCL component streaming has been completed. In TCustomShellTreeView, this includes calling the inherited method and setting the initial value for the root directory. If the initial root directory was assigned at design-time, PopulateWithBaseFiles is called to load files in the shell control.

## See also

TCustomShellTreeView.Root |  | Indicates the directory or path which is the top-level node in the tree view.
TCustomShellTreeView.PopulateWithBaseFiles |  | Fills the tree view when the Root directory is empty.